Subject: Re: linux-next: manual merge of the pwm tree with the devicetree tree

From: Thierry Reding <[email-masked]>
Date: Fri, 15 Nov 2019 10:41:41 +0100

On Fri, Nov 15, 2019 at 03:44:56PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the pwm tree got a conflict in:
> 
>   Documentation/devicetree/bindings/pwm/pwm-stm32.txt
> 
> between commit:
> 
>   56fb34d86e87 ("dt-bindings: mfd: Convert stm32 timers bindings to json-schema")
> 
> from the devicetree tree and commit:
> 
>   4205e356285e ("dt-bindings: pwm-stm32: Document pinctrl sleep state")
> 
> from the pwm tree.
> 
> I fixed it up (I just deleted the file - more fixup is probably required)
> and can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

It should be trivial to rewrite the sleep state patch on top of the
json-schema conversion and then take that version into the devicetree
tree.

Fabrice, can you resend that patch based on the devicetree tree?

Thierry